﻿
function Liquid_Wealth:listLoadedAuctions()
    local table={}
        for _,addon in pairs(Liquid_Wealth.AuctioneerAddons) do
           local _,isloaded=IsAddOnLoaded(addon.name);
            if (isloaded) then --Check To See If Addon InList Is Enabled
                table[addon.name]=addon.name
            end
        end
    return table
end

CommandLineOptions = {
	name = "Liquid_Wealth",
	type = "group",
	args = {
	confdesc = {
			order = 1,
			type = "description",
			name = "Please change your setting below",
			cmdHidden = true
		},
    generalheader = {
		 order = 2,
		 type = "header",
		 name = "Vender & Auction Addon Settings",
		},
	nulloption = {
			order = 3,
			type = "description",
			name = " ",
			cmdHidden = true
		},	
    auctionselect = {
			order = 5, type = "select",
			name = "Auction Addon List",
			desc = "Select Auction Pricing Addon.",
			get = function() return Liquid_Wealth.db.profile.selectedAuctionAddon end,
			set = function(_,v) Liquid_Wealth.db.profile.selectedAuctionAddon = v end,
			values = function() return Liquid_Wealth:listLoadedAuctions() end,
		},
    noBagInfoTip = {
			type = 'toggle',
			name = "No Display Bag",
			desc = "Dont't Display The Bag Information In The ToolTip.",
			order = 6,
			get = function() return Liquid_Wealth.db.profile.noBagInfoTip end,
			set = function(_,v)	Liquid_Wealth.db.profile.noBagInfoTip = v	end,
	    },
    noBankInfoTip = {
			type = 'toggle',
			name = "No Display Bank",
			desc = "Dont't Display The Bank Information In The ToolTip.",
			order = 7,
			get = function() return Liquid_Wealth.db.profile.noBankInfoTip end,
			set = function(_,v)	Liquid_Wealth.db.profile.noBankInfoTip = v end,
	    },
    generalheader2 = {
		 order = 8,
		 type = "header",
		 name = "Force Scanning Options",
		},
    forceLocalScan = {
			type = "execute",
			name = "Force Local Scan",
			order = 9,
			desc = "This Command Will Force Scaning of the players local content in there bags.",			
			func = function() Liquid_Wealth:forceScan(1) end,
		},
	}
}

CommandLineOptionsRTC = {
	name = "Remote Toon Config",
	type = "group",
	args = {
	confdesc = {
			order = 1,
			type = "description",
			name = "Please change your setting below",
			cmdHidden = true
		},
    generalheader = {
		 order = 2,
		 type = "header",
		 name = "Vender & Auction Addon Settings",
		},
	nulloption = {
			order = 3,
			type = "description",
			name = " ",
			cmdHidden = true
		},
    RanTest = {
			type = "execute",
			name = "Ran Test",
			order = 9,
			desc = "Ran Text.",
			func = function() 
            serializedData = Liquid_Wealth:Serialize("NPS")
            Liquid_Wealth:SendCommMessage("LMAC", serializedData , "WHISPER", "wildorebar") end,
		},
	}
}
    
